<?php

// current set of constants
define('DiscloseSecret_VERSION', '2.2');
define('DiscloseSecret_PLUGIN_ID', 'disclosesecret');
define('DiscloseSecret_PLUGIN_NAME', 'Disclose-Secret');
define('DiscloseSecret_DIR', 'wp-content/plugins/disclose-secret');

define('DiscloseSecret_ACTION_UPDATE_OPTIONS', 'update_options');
define('DiscloseSecret_POST_FORM_ID', 'disclosesecret_configuration');
define('DiscloseSecret_POST_CAP', 'disclosesecret_cap_');
define('DiscloseSecret_POST_ROLE', 'disclosesecret_role_');
define('DiscloseSecret_POST_USER', 'disclosesecret_user_');
define('DiscloseSecret_POST_FEED_PRIVACY', 'disclosesecret_feed_privacy');
define('DiscloseSecret_POST_FEED_TEASER', 'disclosesecret_feed_teaser');
define('DiscloseSecret_POST_REWRITE_FEED_LINK', 'disclosesecret_rewrite_feed_link');
define('DiscloseSecret_POST_OVERRIDE_PLUGIN_DEACTIVATION', 'disclosesecret_override_plugin_deactivation');
define('DiscloseSecret_POST_HTTP_AUTH', 'http_auth');
define('DiscloseSecret_POST_HTTP_AUTH_DO', 'yes');

define('DiscloseSecret_XHTML_TAG', 'disclose-secret');
define('DiscloseSecret_XHTML_TAG_ALT_1', 'disclosesecret');
define('DiscloseSecret_XHTML_TAG_ALT_2', 'disclose_secret');
define('DiscloseSecret_XHTML_ATTRIBUTE_CAP', 'cap');
define('DiscloseSecret_XHTML_ATTRIBUTE_CAP_ALT_1', 'caps');
define('DiscloseSecret_XHTML_ATTRIBUTE_ROLE', 'role');
define('DiscloseSecret_XHTML_ATTRIBUTE_ROLE_ALT_1', 'roles');
define('DiscloseSecret_XHTML_ATTRIBUTE_USER', 'user');
define('DiscloseSecret_XHTML_ATTRIBUTE_USER_ALT_1', 'users');

// hide metas in 'write post' panel by prefixing with underscore
define('DiscloseSecret_META_CAP', '_disclosesecret_cap');
define('DiscloseSecret_META_ROLE', '_disclosesecret_role');
define('DiscloseSecret_META_USER', '_disclosesecret_user');

define('DiscloseSecret_INDEX_ID', 'id');
define('DiscloseSecret_INDEX_NAME', 'name');
define('DiscloseSecret_INDEX_CAN_SEE_PROTECTED', 'can_see_protected');
define('DiscloseSecret_INDEX_CAN_SEE_IMPLICIT', 'can_see_implicit');

define('DiscloseSecret_OPTION_VERSION', 'version');
define('DiscloseSecret_OPTION_FEED_PRIVACY', 'feed_privacy');
define('DiscloseSecret_OPTION_FEED_TEASER', 'feed_teaser');
define('DiscloseSecret_OPTION_REWRITE_FEED_LINK', 'rewrite_feed_link');
define('DiscloseSecret_OPTION_FULL_CONTENT', 'full_content');
define('DiscloseSecret_OPTION_EXCERPT_ONLY', 'excerpt_only');
define('DiscloseSecret_OPTION_TITLE_ONLY', 'title_only');
define('DiscloseSecret_OPTION_LAST_WP_VERSION', 'last_wp_version');
define('DiscloseSecret_OPTION_OVERRIDE_PLUGIN_DEACTIVATION', 'override_plugin_deactivation');

define('DiscloseSecret_PLACEHOLDER_PERMALINK', '%permalink%');

define('DiscloseSecret_MIGRATION_DONE', 0);
define('DiscloseSecret_MIGRATION_NOT_NEEDED', 1);
define('DiscloseSecret_MIGRATION_SKIPPED', 2);

define('DiscloseSecret_STATUS_OKAY', 0);
define('DiscloseSecret_STATUS_UNINITIALIZED', 1);
define('DiscloseSecret_STATUS_WP_VERSION_MISMATCH', 2);
define('DiscloseSecret_STATUS_PLUGIN_VERSION_MISMATCH', 3);

// migration constants for other plugins
define('DiscloseSecret_CAPABILITY_PREFIX_LEVEL', 'level_');
define('DiscloseSecret_CAPABILITY_PREFIX_READ', 'read_');

define('DiscloseSecret_POSTRESTRICTIONS_PLUGIN_ID', 'post_restrictions');
define('DiscloseSecret_POSTRESTRICTIONS_META', 'post_restrictions');

define('DiscloseSecret_ACTION_MIGRATE_POST_LEVELS', 'migrate_post_levels');
define('DiscloseSecret_POSTLEVELS_POST_FORM_ID', 'post_levels_migrate');
define('DiscloseSecret_POSTLEVELS_META', 'post_level');
define('DiscloseSecret_POSTLEVELS_META_POST_KEY', 'postlevels_post_key');
define('DiscloseSecret_POSTLEVELS_META_USER_KEY', 'postlevels_user_key');
define('DiscloseSecret_POSTLEVELS_ROLE_ADMIN', 'post_level_admin');

define('DiscloseSecret_ACTION_MIGRATE_VIEW_LEVELS', 'migrate_view_levels');
define('DiscloseSecret_VIEWLEVELS_POST_FORM_ID', 'view_levels_migrate');
define('DiscloseSecret_VIEWLEVELS_META', 'viewlevel');
define('DiscloseSecret_VIEWLEVELS_OPTION_DEFAULT', 'vl_default');

define('DiscloseSecret_ACTION_MIGRATE_PRIVATE_CATEGORIES', 'migrate_private_categories');
define('DiscloseSecret_PRIVATECATEGORIES_POST_FORM_ID', 'private_categories_migrate');
define('DiscloseSecret_PRIVATECATEGORIES_OPTION_CATS', 'wwpc_cats');
define('DiscloseSecret_PRIVATECATEGORIES_OPTION_LEVEL', 'wwpc_level');

?>